aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/distrib/csharp/test_codegen
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2018-06-06 10:14:52 +0200
committerGravatar Jan Tattermusch <jtattermusch@google.com>2018-06-06 10:14:52 +0200
commit4fae81d7778977dc879c4acd78e7257f0f3f07f4 (patch)
tree59977203f4ffd574ade49e5a691dd1ac1a992ff2 /test/distrib/csharp/test_codegen
parent583f39ad94c0a14a50916e86a5ccd8c3c77ae2c6 (diff)
test C# codegen in distribtests
Diffstat (limited to 'test/distrib/csharp/test_codegen')
-rw-r--r--test/distrib/csharp/test_codegen/helloworld.proto38
-rwxr-xr-xtest/distrib/csharp/test_codegen/test_codegen.sh29
2 files changed, 67 insertions, 0 deletions
diff --git a/test/distrib/csharp/test_codegen/helloworld.proto b/test/distrib/csharp/test_codegen/helloworld.proto
new file mode 100644
index 0000000000..be878ce25f
--- /dev/null
+++ b/test/distrib/csharp/test_codegen/helloworld.proto
@@ -0,0 +1,38 @@
+// Copyright 2015 gRPC authors.
+//
+// Licensed under the Apache License, Version 2.0 (the "License");
+// you may not use this file except in compliance with the License.
+// You may obtain a copy of the License at
+//
+// http://www.apache.org/licenses/LICENSE-2.0
+//
+// Unless required by applicable law or agreed to in writing, software
+// distributed under the License is distributed on an "AS IS" BASIS,
+// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+// See the License for the specific language governing permissions and
+// limitations under the License.
+
+syntax = "proto3";
+
+option java_multiple_files = true;
+option java_package = "io.grpc.examples.helloworld";
+option java_outer_classname = "HelloWorldProto";
+option objc_class_prefix = "HLW";
+
+package helloworld;
+
+// The greeting service definition.
+service Greeter {
+ // Sends a greeting
+ rpc SayHello (HelloRequest) returns (HelloReply) {}
+}
+
+// The request message containing the user's name.
+message HelloRequest {
+ string name = 1;
+}
+
+// The response message containing the greetings
+message HelloReply {
+ string message = 1;
+}
diff --git a/test/distrib/csharp/test_codegen/test_codegen.sh b/test/distrib/csharp/test_codegen/test_codegen.sh
new file mode 100755
index 0000000000..62c9040f20
--- /dev/null
+++ b/test/distrib/csharp/test_codegen/test_codegen.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright 2015 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+cd "$(dirname "$0")"
+
+ls -lR ../packages/Grpc.Tools.__GRPC_NUGET_VERSION__/tools
+
+PROTOC=../packages/Grpc.Tools.__GRPC_NUGET_VERSION__/tools/linux_x64/protoc
+PLUGIN=../packages/Grpc.Tools.__GRPC_NUGET_VERSION__/tools/linux_x64/grpc_csharp_plugin
+
+$PROTOC --plugin=protoc-gen-grpc=$PLUGIN --csharp_out=. --grpc_out=. -I . helloworld.proto
+
+ls *.cs
+
+echo 'Code generation works.'